Bug 121142 - Unable to use 1400x1050 resolution with 855GM
Unable to use 1400x1050 resolution with 855GM
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-17 20:35 EDT by Pirmin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-19 11:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pirmin 2004-04-17 20:35:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.20  [en]

Description of problem:
I use an Acer Centrino Notebook with an 855GM graphic chipset.
If I select a resolution of 1400x1050. The installer says there is no 
entry of this resolution in my BIOS and he choose the next smaller 
one(1280x1024). I asked Acer to add this entry, but they wrote 
1400x1050 is not a standard VESA resolution and will never be in the 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot CD1 from test2
2.chose 1400x1050

Actual Results:  There is a message from the installer.

Expected Results:  There should be the correct resolution.

Additional info:

Acer TravelMate 661LMi
Comment 1 Mike A. Harris 2004-04-19 11:47:36 EDT
The "i810" video driver uses the VESA BIOS to set video modes, and
is thus limited to only providing modes that are supported by the
video BIOS.  Any mode which the BIOS does not support is not
useable by this video driver.

The only way to provide video modes other than what the BIOS provides,
is to program the hardware directly, however that requires access to
Intel's video specifications which are not available, so this problem
can not be fixed except by Intel or the upstream X developers who
have been contracted by Intel to maintain the video driver.

There is nothing we can do about this issue until the feature is
implemented in the upstream video driver.

Closing bug as "WONTFIX" (in lieu of a CANTFIX resolution).
Comment 2 Barry K. Nathan 2004-07-31 12:05:44 EDT
FWIW, here's a workaround ("855resolution"):

Note You need to log in before you can comment on or make changes to this bug.